<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">
    <data>

        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.OwnerSingleVModel" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <com.quansu.heifengwuliu.widget.ShipmentHeadView
                    android:id="@+id/view_head"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                </com.quansu.heifengwuliu.widget.ShipmentHeadView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:text="卸货信息"
                    android:textColor="#101010"
                    android:textSize="@dimen/sp_16"></TextView>


                <com.quansu.heifengwuliu.widget.EnterInfoView
                    android:id="@+id/view_enter"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                </com.quansu.heifengwuliu.widget.EnterInfoView>


                <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:orientation="vertical"
                    android:paddingStart="@dimen/dp_10"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingEnd="@dimen/dp_12"
                    android:paddingBottom="@dimen/dp_10"
                    app:qmui_borderColor="#BFBFBF"
                    app:qmui_borderWidth="@dimen/dp_1"
                    app:qmui_radius="@dimen/dp_2">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="货物名称"
                            android:textColor="#101010"
                            android:textSize="@dimen/sp_16">

                        </TextView>

                        <EditText
                            android:id="@+id/et_goods_name"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical|right"
                            android:hint="请输入货物名称"
                            android:textColor="#101010"
                            android:textColorHint="#BBBBBB"
                            android:textSize="@dimen/sp_15"></EditText>


                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_goods_type"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="货物类型"
                            android:textColor="#101010"
                            android:textSize="@dimen/sp_16">

                        </TextView>

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:layout_marginEnd="@dimen/dp_10"
                            android:layout_weight="1"
                            android:gravity="center_vertical|right"
                            android:hint="请选择货物类型"
                            android:text="@{vm.goodstype}"
                            android:textColor="#101010"
                            android:textColorHint="#BBBBBB"
                            android:textSize="@dimen/sp_15"></TextView>



                        <ImageView
                            style="@style/mine_arrow_right"
                            android:src="@drawable/mine_right" />


                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="单车运量"
                            android:textColor="#101010"
                            android:textSize="@dimen/sp_16">

                        </TextView>

                        <EditText
                            android:id="@+id/et_sing_car_nums"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical|right"
                            android:inputType="number|numberDecimal"
                            android:hint="请输入单车运输数量"
                            android:textColor="#101010"
                            android:textColorHint="#BBBBBB"
                            android:textSize="@dimen/sp_15"></EditText>

                        <LinearLayout
                            android:id="@+id/ll_chose_units"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">


                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_10"
                                android:layout_marginEnd="@dimen/dp_10"
                                android:hint="请选择单位"
                                android:gravity="right"
                                android:text="@{vm.unit}"
                                android:textColor="#101010"
                                android:textColorHint="#BBBBBB"
                                android:textSize="@dimen/sp_15"></TextView>

                            <ImageView
                                style="@style/mine_arrow_right"
                                android:src="@drawable/mine_right" />
                        </LinearLayout>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="单价"
                            android:textColor="#101010"
                            android:textSize="@dimen/sp_16">

                        </TextView>

                        <EditText
                            android:id="@+id/et_sing_car_price"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical|right"
                            android:hint="请输入单价"
                            android:textColor="#101010"
                            android:textColorHint="#BBBBBB"
                            android:textSize="@dimen/sp_15"></EditText>


                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="总金额"
                            android:textColor="#101010"
                            android:textSize="@dimen/sp_16">

                        </TextView>

                        <EditText
                            android:id="@+id/et_sing_car_total"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical|right"
                            android:hint="请输入总金额"
                            android:textColor="#101010"
                            android:textColorHint="#BBBBBB"
                            android:textSize="@dimen/sp_15"></EditText>


                    </LinearLayout>


                </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>


                <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:orientation="vertical"
                    android:paddingStart="@dimen/dp_10"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingEnd="@dimen/dp_12"
                    android:paddingBottom="@dimen/dp_10"
                    app:qmui_borderColor="#BFBFBF"
                    app:qmui_borderWidth="@dimen/dp_1"
                    app:qmui_radius="@dimen/dp_2">

                    <LinearLayout
                        android:id="@+id/ll_is_insurance"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="是否购买保险"
                            android:textColor="#101010"
                            android:textSize="@dimen/sp_16">
                        </TextView>

                        <TextView
                            android:id="@+id/tv_is_insurance"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:layout_marginEnd="@dimen/dp_10"
                            android:layout_weight="1"
                            android:gravity="center_vertical|right"
                            android:hint="请选择"
                            android:text="@{vm.insurance}"
                            android:textColor="#101010"
                            android:textColorHint="#BBBBBB"
                            android:textSize="@dimen/sp_15"></TextView>


                        <ImageView
                            style="@style/mine_arrow_right"
                            android:src="@drawable/mine_right" />


                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_1"
                        android:background="#C2C2C2" />

                    <LinearLayout
                        android:id="@+id/ll_driver"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="指定常用司机"
                            android:textColor="#101010"
                            android:textSize="@dimen/sp_16">

                        </TextView>

                        <TextView
                            android:id="@+id/tv_driver"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:layout_marginEnd="@dimen/dp_10"
                            android:layout_weight="1"
                            android:gravity="center_vertical|right"
                            android:hint="不指定/请选择"
                            android:textColor="#101010"
                            android:textColorHint="#BBBBBB"
                            android:textSize="@dimen/sp_15"></TextView>


                        <ImageView
                            style="@style/mine_arrow_right"
                            android:src="@drawable/mine_right" />


                    </LinearLayout>


                </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>


                <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:orientation="vertical"
                    android:paddingStart="@dimen/dp_10"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingEnd="@dimen/dp_12"
                    android:paddingBottom="@dimen/dp_10"
                    app:qmui_borderColor="#BFBFBF"
                    app:qmui_borderWidth="@dimen/dp_1"
                    app:qmui_radius="@dimen/dp_2">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:text="备注"
                        android:textColor="#101010"
                        android:textSize="@dimen/sp_16"></TextView>


                    <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="60dp"
                        android:padding="@dimen/dp_4"
                        app:qmui_backgroundColor="#F4EFEF"
                        app:qmui_borderColor="#F4EFEF"
                        app:qmui_borderWidth="@dimen/dp_1"
                        app:qmui_radius="@dimen/dp_2">

                        <EditText
                            android:id="@+id/et_data"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@null"
                            android:hint="请输入备注信息"
                            android:textColor="#101010"
                            android:textColorHint="#E9E4E4"
                            android:textSize="@dimen/sp_15">

                        </EditText>

                    </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>


                </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>


                <LinearLayout
                    android:id="@+id/ll_agree"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/iv_agree"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:src="@{vm.isAgree==0?@drawable/ic_chose_off:@drawable/ic_chose_on,default=@drawable/ic_chose_on}"
                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="我已阅读并同意"
                        android:textColor="#101010"
                        android:textSize="@dimen/sp_16">

                    </TextView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="《平台运输协议》"
                        android:textColor="#B54943"
                        android:textSize="@dimen/sp_16">

                    </TextView>


                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_public"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/iv_public"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:src="@{vm.isPush==0?@drawable/ic_chose_off:@drawable/ic_chose_on,default=@drawable/ic_chose_on}"
                        />


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="发布到"
                        android:textColor="#101010"
                        android:textSize="@dimen/sp_16">

                    </TextView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text=" 货源大厅"
                        android:textColor="#B54943"
                        android:textSize="@dimen/sp_16">

                    </TextView>


                </LinearLayout>


                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_1"
                    android:background="#C2C2C2" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_50"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center">

                        <EditText
                            android:id="@+id/et_car_nums"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@null"
                            android:gravity="center"
                            android:hint="请输入所需车辆数目"
                            android:textColor="#101010"
                            android:text="1"
                            android:textColorHint="#BBBBBB"
                            android:textSize="@dimen/sp_15"></EditText>

                        <ImageView
                            android:layout_width="20dp"
                            android:layout_height="20dp"
                            android:layout_marginStart="@dimen/dp_5"
                            android:layout_marginEnd="@dimen/dp_10"
                            android:src="@drawable/need_numbers" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/tv_publish"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:background="#5D76F4"
                        android:gravity="center"
                        android:text="发布货源信息"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_16">

                    </TextView>


                </LinearLayout>


            </LinearLayout>
    </LinearLayout>
</layout>
